package cz.moneta.test.dsl.ufo.banka.pages.common.pages;

import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.DUP004_S004_CreditCardRepaymentMethodConfirmation;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.OPN008_S001_SignContractPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.VER017_S001_SecondBankerVerificationStatusPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.VDB001_S001_SecondBankerJoiningPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BUF001_S001_CurrentAccountPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.CHK001_S001_WaitingForModulationPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface PSI001_S051_DraftContractCopyPageTransitions extends WebFlow<PSI001_S051_DraftContractCopyPageTransitions> {

    BUF001_S001_CurrentAccountPage onCurrentAccountPage();

    CHK001_S001_WaitingForModulationPage onWaitingForModulationPage();

    DUP004_S004_CreditCardRepaymentMethodConfirmation onCreditCardRepaymentMethodConfirmation();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    OPN008_S001_SignContractPage onSignContractPage();

    PSP004_S001_PrintPage onPrintPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    VDB001_S001_SecondBankerJoiningPage onSecondBankerJoiningPage();

    VER017_S001_SecondBankerVerificationStatusPage onSecondBankerVerificationPage();

}